DISPDATA_GET_CLASSLIST(3)

EXPERIMENTAL_FUNC
dispdata_get_classlist - Get the list of supported dataclasses.

SYNOPSIS
#include <karma_dispdata.h>

unsigned int dispdata_get_classlist

(KDisplayDataClass **classes,char ***names)

DESCRIPTION
Get the list of supported dataclasses.

classes
    The list of KDisplayDataClass objects is written here. This may be subsequently deallocated.

names
    The list of name pointers is written here. This may be subsequently deallocated.

RETURN VALUE
The number of dataclasses. On failure the process aborts.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/